# $Revision: 1.17 $, $Date: 2008/07/27 22:43:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	SimpleVariable
Summary:	Math::SimpleVariable - simple representation of mathematical variables
Summary(pl.UTF-8):	Math::SimpleVariable - prosta reprezentacja zmiennych matematycznych
Name:		perl-Math-SimpleVariable
Version:	0.03
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0b7b45d71edab401e7aa64a0ad292eed
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::SimpleVariable is a simple representation of mathematical
variables, with an obligatory name and an optional value. This class
on itself might not seem very useful at first sight, but you might
want to derive different types of variables for some application. That
way, objects of the derived variable class can be accessed
interchangeably with the here provided protocols.

%description -l pl.UTF-8
Math::SimpleVariable to prosta reprezentacja zmiennych matematycznych,
z obowiązkową nazwą i opcjonalną wartością. Ta klasa sama w sobie może
nie wydawać się zbyt przydatna, ale można z niej wyprowadzić różne
typy zmiennych dla aplikacji. W ten sposób, do obiektów tych nowych
klas można odwoływać się przy pomocy udostępnionych przez ten moduł
protokołów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/SimpleVariable.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-SimpleVariable.spec,v $
Revision 1.17  2008/07/27 22:43:28  arekm
- release 3

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:35  paladine
- formatting

Revision 1.13  2004/10/24 15:53:16  paladine
- spelling fixes, uppercases, etc.

Revision 1.12  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:20:42  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/23 07:50:19  ankry
- license fixes, unification

Revision 1.9  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.8  2003/08/18 08:09:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:50  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new

